gnash-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Gnash-commit] gnash ChangeLog testsuite/generic-testrunner.sh


From: Sandro Santilli
Subject: [Gnash-commit] gnash ChangeLog testsuite/generic-testrunner.sh
Date: Sat, 30 Dec 2006 22:31:38 +0000

CVSROOT:        /sources/gnash
Module name:    gnash
Changes by:     Sandro Santilli <strk>  06/12/30 22:31:38

Modified files:
        .              : ChangeLog 
        testsuite      : generic-testrunner.sh 

Log message:
                * testsuite/generic-testrunner.sh: accept -r switch
                  for passing it to gprocessor (useful when you are testing
                  restart conditions).

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/gnash/ChangeLog?cvsroot=gnash&r1=1.2015&r2=1.2016
http://cvs.savannah.gnu.org/viewcvs/gnash/testsuite/generic-testrunner.sh?cvsroot=gnash&r1=1.4&r2=1.5

Patches:
Index: ChangeLog
===================================================================
RCS file: /sources/gnash/gnash/ChangeLog,v
retrieving revision 1.2015
retrieving revision 1.2016
diff -u -b -r1.2015 -r1.2016
--- ChangeLog   30 Dec 2006 21:57:56 -0000      1.2015
+++ ChangeLog   30 Dec 2006 22:31:37 -0000      1.2016
@@ -1,5 +1,8 @@
 2006-12-30 Sandro Santilli <address@hidden>
 
+       * testsuite/generic-testrunner.sh: accept -r switch
+         for passing it to gprocessor (useful when you are testing
+         restart conditions).
        * utilities/processor.cpp: add -r switch to control
          allowed number of runs (restarts).
        * testsuite/misc-ming.all/: Makefile.am,

Index: testsuite/generic-testrunner.sh
===================================================================
RCS file: /sources/gnash/gnash/testsuite/generic-testrunner.sh,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -b -r1.4 -r1.5
--- testsuite/generic-testrunner.sh     22 Nov 2006 18:02:13 -0000      1.4
+++ testsuite/generic-testrunner.sh     30 Dec 2006 22:31:37 -0000      1.5
@@ -1,5 +1,33 @@
 #!/bin/sh
 
+# 
+#   Copyright (C) 2005, 2006 Free Software Foundation, Inc.
+# 
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+# 
+
+runs=1
+
+while getopts r: name; do
+       case $name in
+               r) runs="$OPTARG" ;;
+               ?) echo "Usage: $0 [-r <runs>] <swf> ..." >&2;
+                  exit 1;;
+       esac
+done
+shift $(($OPTIND - 1))
+
 top_builddir=$1
 shift
 testfiles=$@
@@ -8,6 +36,6 @@
 #!/bin/sh
 for t in ${testfiles}; do
        echo "NOTE: Running test \${t}"
-       ${top_builddir}/utilities/gprocessor -v \${t} || echo "FAILED: 
gprocessor returned an error"
+       ${top_builddir}/utilities/gprocessor -r${runs} -v \${t} || echo 
"FAILED: gprocessor returned an error"
 done
 EOF




reply via email to

[Prev in Thread] Current Thread [Next in Thread]